# OpenBSD Desktop GPU recommendation

OpenBSD has decent intel GPU support. So finding a laptop that works
great is not really difficult. The story is different when you look at
desktops. I've tested several graphic cards and there are winners.

## Radeon R9 390X (radeon)

This card is driven by the HAWAII XT chipset, which is covered by the
radeon drivers HAWAII support. It's the latest and fastest device
supported by this driver.

## Radeon HD 7790 (radeon)

This card is driven by the BONAIRE chipset, which is the predecessor to
HAWAII. This card is still listed as high end card, but draws a lot less
power than the R9. Both are fine for gaming.

Both cards support resolutions up to 4K. However only via display port.
The R9 delivers 4K@30Hz via HDMI.

Newer AMD GPUs are supported by the amdgpu driver, which is not as
stable as the old radeon driver.

## Radeon RX 450 (amdgpu)

My setup is HDMI based, and I had to use an active adapter from DP to
HDMI to get to a 60Hz 4k signal. This HDMI signal is then going into
my KVM switch and  from there to the screen. With this many  hops,
I experienced some sort of jitter every once in a while.

There was significant progress in the amdgpu development in the last
months, so I gave it a shot again. I'm now using an RX 450 card with
the Polaris 12 chipset. It runs stable for me. So maybe amdgpu is
ready for prime time? At least with this chipset I'm very pleased with
its performance. The HDMI 4k signal is stable.

_Note (2023): amdgpu(4) has come a long way since I have tested these cards..._
